opensc-tool
1
opensc

# opensc-tool

generic smart card utility

## Synopsis

`opensc-tool` [OPTIONS]

## Description

The `opensc-tool` utility can be used from the command line to perform miscellaneous smart card operations such as getting the card ATR or sending arbitrary APDU commands to a card.

## Options

`--atr, -a`

  Print the Answer To Reset (ATR) of the card, output is in hex byte format

`--serial`

  Print the card serial number (normally the ICCSN), output is in hex byte format

`--send-apdu` apdu, `-s` apdu

  Sends an arbitrary APDU to the card in the format AA:BB:CC:DD:EE:FF...

`--list-files, -f`

  Recursively lists all files stored on card

`--list-readers, -l`

  Lists all configured readers

`--list-drivers, -D`

  Lists all installed card drivers

`--list-rdrivers, -R`

  Lists all installed reader drivers

`--reader` num, `-r` num

  Use the given reader number. The default is 0, the first reader in the system.

`--card-driver` driver, `-c` driver

  Use the given card driver. The default is auto-detected.

`--verbose, -v`

  Causes `opensc-tool` to be more verbose. Specify this flag several times to enable debug output in the opensc library.

## See also

opensc(7), opensc-explorer(1)